> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# intapp

> Intapp DealCloud

**Server path:** `/intapp` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                    | Description                         |
| ----------------------------------------------------------------------- | ----------------------------------- |
| [`intapp_add_choice_field_values`](#intapp_add_choice_field_values)     | Add choice field values             |
| [`intapp_create_entry_data`](#intapp_create_entry_data)                 | Create entry data (cells)           |
| [`intapp_create_rows`](#intapp_create_rows)                             | Create data (rows)                  |
| [`intapp_create_user`](#intapp_create_user)                             | Create user                         |
| [`intapp_delete_entries`](#intapp_delete_entries)                       | Delete entries                      |
| [`intapp_delete_user`](#intapp_delete_user)                             | Delete user                         |
| [`intapp_download_file`](#intapp_download_file)                         | Download file                       |
| [`intapp_filter_entries`](#intapp_filter_entries)                       | Filter entries                      |
| [`intapp_get_cell_data`](#intapp_get_cell_data)                         | Get cell data                       |
| [`intapp_get_entry_type`](#intapp_get_entry_type)                       | Get entry type by ID                |
| [`intapp_get_field_by_id`](#intapp_get_field_by_id)                     | Get field by ID                     |
| [`intapp_get_fields_by_ids`](#intapp_get_fields_by_ids)                 | Get multiple fields by IDs          |
| [`intapp_get_mappings`](#intapp_get_mappings)                           | Get mappings by type                |
| [`intapp_get_row_data`](#intapp_get_row_data)                           | Get data (rows)                     |
| [`intapp_get_user_activity`](#intapp_get_user_activity)                 | Get user activity                   |
| [`intapp_get_user_group_by_id`](#intapp_get_user_group_by_id)           | Get user group by ID                |
| [`intapp_get_users_by_ids`](#intapp_get_users_by_ids)                   | Get users by IDs                    |
| [`intapp_get_view_data`](#intapp_get_view_data)                         | Get data using view                 |
| [`intapp_list_all_fields`](#intapp_list_all_fields)                     | List all fields                     |
| [`intapp_list_currencies`](#intapp_list_currencies)                     | List currencies                     |
| [`intapp_list_entries`](#intapp_list_entries)                           | List all entries                    |
| [`intapp_list_entry_types`](#intapp_list_entry_types)                   | List all entry types                |
| [`intapp_list_field_types`](#intapp_list_field_types)                   | List field types                    |
| [`intapp_list_fields_by_entry_type`](#intapp_list_fields_by_entry_type) | List fields by entry type           |
| [`intapp_list_filter_operations`](#intapp_list_filter_operations)       | List filter operations              |
| [`intapp_list_schema_users`](#intapp_list_schema_users)                 | List site users (schema)            |
| [`intapp_list_user_groups`](#intapp_list_user_groups)                   | List user groups                    |
| [`intapp_list_users`](#intapp_list_users)                               | List users                          |
| [`intapp_list_views`](#intapp_list_views)                               | List views                          |
| [`intapp_merge_entries`](#intapp_merge_entries)                         | Merge entries                       |
| [`intapp_patch_rows`](#intapp_patch_rows)                               | Patch data (rows)                   |
| [`intapp_query_rows`](#intapp_query_rows)                               | Query data (rows)                   |
| [`intapp_update_rows`](#intapp_update_rows)                             | Update data (rows, upsert)          |
| [`intapp_update_user`](#intapp_update_user)                             | Update user                         |
| [`intapp_upsert_entry_data`](#intapp_upsert_entry_data)                 | Update or upsert entry data (cells) |

***

## intapp\_add\_choice\_field\_values

Add choice field values

**Parameters:**

| Parameter | Type      | Required | Default | Description                             |
| --------- | --------- | -------- | ------- | --------------------------------------- |
| `fieldId` | integer   | Yes      | —       | ID of the choice field to add values to |
| `body`    | string\[] | Yes      | —       | Array of choice value strings to add    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldId": {
        "type": "integer",
        "description": "ID of the choice field to add values to"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Array of choice value strings to add"
      }
    },
    "required": [
      "PCID",
      "fieldId",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_create\_entry\_data

Create entry data (cells)

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                 |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------- |
| `entryTypeId`   | string    | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName) |
| `storeRequests` | object\[] | No       | —       | Array of cell store requests                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "storeRequests": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "entryId": {
              "type": "integer",
              "description": "Entry ID. Use negative values for new entries."
            },
            "fieldId": {
              "type": "integer",
              "description": "Field ID"
            },
            "value": {
              "description": "Value to store"
            },
            "ignoreNearDups": {
              "type": "boolean",
              "description": "Ignore near-duplicate warnings"
            }
          },
          "required": [
            "entryId",
            "fieldId"
          ]
        },
        "description": "Array of cell store requests"
      }
    },
    "required": [
      "PCID",
      "entryTypeId"
    ]
  }
  ```
</Expandable>

***

## intapp\_create\_rows

Create data (rows)

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                                                     |
| ------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------- |
| `entryTypeId` | string    | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName)                                     |
| `body`        | object\[] | Yes      | —       | Array of entry objects to create. Each object must include EntryId (negative) and field values. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "EntryId": {
              "type": "integer",
              "description": "Negative integer to identify entries within the batch"
            }
          },
          "required": [
            "EntryId"
          ]
        },
        "description": "Array of entry objects to create. Each object must include EntryId (negative) and field values."
      }
    },
    "required": [
      "PCID",
      "entryTypeId",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_create\_user

Create user

**Parameters:**

| Parameter               | Type       | Required | Default | Description                                              |
| ----------------------- | ---------- | -------- | ------- | -------------------------------------------------------- |
| `email`                 | string     | Yes      | —       | User's email address                                     |
| `federationId`          | string     | No       | —       | Identifier for SSO users                                 |
| `firstName`             | string     | No       | —       | User's first name                                        |
| `groups`                | integer\[] | No       | —       | User group IDs for assignment                            |
| `ipRestrictionsEnabled` | boolean    | No       | —       | Toggle IP restrictions                                   |
| `isActive`              | boolean    | No       | —       | Creates active or inactive user                          |
| `lastName`              | string     | No       | —       | User's last name                                         |
| `password`              | string     | No       | —       | Password. If blank, a password reset email will be sent. |
| `twoFactorEnabled`      | boolean    | No       | —       | Enable 2FA. Cannot be disabled via API.                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "email": {
        "type": "string",
        "description": "User's email address"
      },
      "federationId": {
        "type": "string",
        "description": "Identifier for SSO users"
      },
      "firstName": {
        "type": "string",
        "description": "User's first name"
      },
      "groups": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "User group IDs for assignment"
      },
      "ipRestrictionsEnabled": {
        "type": "boolean",
        "description": "Toggle IP restrictions"
      },
      "isActive": {
        "type": "boolean",
        "description": "Creates active or inactive user"
      },
      "lastName": {
        "type": "string",
        "description": "User's last name"
      },
      "password": {
        "type": "string",
        "description": "Password. If blank, a password reset email will be sent."
      },
      "twoFactorEnabled": {
        "type": "boolean",
        "description": "Enable 2FA. Cannot be disabled via API."
      }
    },
    "required": [
      "PCID",
      "email"
    ]
  }
  ```
</Expandable>

***

## intapp\_delete\_entries

Delete entries

**Parameters:**

| Parameter     | Type       | Required | Default | Description                                                 |
| ------------- | ---------- | -------- | ------- | ----------------------------------------------------------- |
| `entryTypeId` | string     | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName) |
| `body`        | integer\[] | Yes      | —       | Array of entry IDs to delete                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Array of entry IDs to delete"
      }
    },
    "required": [
      "PCID",
      "entryTypeId",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_delete\_user

Delete user

**Parameters:**

| Parameter | Type    | Required | Default | Description          |
| --------- | ------- | -------- | ------- | -------------------- |
| `userId`  | integer | Yes      | —       | ID of user to delete |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "userId": {
        "type": "integer",
        "description": "ID of user to delete"
      }
    },
    "required": [
      "PCID",
      "userId"
    ]
  }
  ```
</Expandable>

***

## intapp\_download\_file

Download file

**Parameters:**

| Parameter | Type    | Required | Default | Description                             |
| --------- | ------- | -------- | ------- | --------------------------------------- |
| `entryId` | integer | Yes      | —       | ID of the entry/record holding the file |
| `fieldId` | integer | Yes      | —       | ID of the binary or photo field         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryId": {
        "type": "integer",
        "description": "ID of the entry/record holding the file"
      },
      "fieldId": {
        "type": "integer",
        "description": "ID of the binary or photo field"
      }
    },
    "required": [
      "PCID",
      "entryId",
      "fieldId"
    ]
  }
  ```
</Expandable>

***

## intapp\_filter\_entries

Filter entries

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                 |
| ------------- | --------- | -------- | ------- | ----------------------------------------------------------- |
| `entryTypeId` | string    | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName) |
| `body`        | object\[] | Yes      | —       | Request body                                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "fieldId": {
              "type": "integer",
              "description": "Field identifier to filter on"
            },
            "value": {
              "type": "string",
              "description": "Comparison value"
            },
            "filterOperation": {
              "type": "integer",
              "description": "Filter operation type (see listFilterOperations for available operations)"
            }
          },
          "required": [
            "fieldId",
            "value",
            "filterOperation"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "entryTypeId",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_cell\_data

Get cell data

**Parameters:**

| Parameter              | Type      | Required | Default | Description                                                           |
| ---------------------- | --------- | -------- | ------- | --------------------------------------------------------------------- |
| `fillExtendedData`     | boolean   | No       | —       | When true, appends modified DateTime and Modified By to entry data    |
| `resolveReferenceUrls` | boolean   | No       | —       | When true, returns URL of entry for reference fields                  |
| `wrapIntoArrays`       | boolean   | No       | —       | When true, improves consistency for multi-value fields                |
| `dateTimeBehavior`     | integer   | No       | —       | Controls timezone handling. 0 = UTC (default), 1 = localized timezone |
| `body`                 | object\[] | Yes      | —       | Request body                                                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fillExtendedData": {
        "type": "boolean",
        "description": "When true, appends modified DateTime and Modified By to entry data"
      },
      "resolveReferenceUrls": {
        "type": "boolean",
        "description": "When true, returns URL of entry for reference fields"
      },
      "wrapIntoArrays": {
        "type": "boolean",
        "description": "When true, improves consistency for multi-value fields"
      },
      "dateTimeBehavior": {
        "type": "integer",
        "description": "Controls timezone handling. 0 = UTC (default), 1 = localized timezone",
        "enum": [
          0,
          1
        ]
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "entryId": {
              "type": "integer",
              "description": "Entry (record) ID"
            },
            "fieldId": {
              "type": "integer",
              "description": "Field ID"
            },
            "currencyCode": {
              "type": "string",
              "description": "Optional currency code for currency conversion"
            }
          },
          "required": [
            "entryId",
            "fieldId"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_entry\_type

Get entry type by ID

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                 |
| ------------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `entryTypeId` | string | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName) |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      }
    },
    "required": [
      "PCID",
      "entryTypeId"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_field\_by\_id

Get field by ID

**Parameters:**

| Parameter | Type    | Required | Default | Description                    |
| --------- | ------- | -------- | ------- | ------------------------------ |
| `fieldId` | integer | Yes      | —       | Unique identifier of the field |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "fieldId": {
        "type": "integer",
        "description": "Unique identifier of the field"
      }
    },
    "required": [
      "PCID",
      "fieldId"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_fields\_by\_ids

Get multiple fields by IDs

**Parameters:**

| Parameter | Type       | Required | Default | Description                    |
| --------- | ---------- | -------- | ------- | ------------------------------ |
| `body`    | integer\[] | Yes      | —       | Array of field IDs to retrieve |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Array of field IDs to retrieve"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_mappings

Get mappings by type

**Parameters:**

| Parameter        | Type    | Required | Default | Description             |
| ---------------- | ------- | -------- | ------- | ----------------------- |
| `mappingsTypeId` | integer | Yes      | —       | Mapping type identifier |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "mappingsTypeId": {
        "type": "integer",
        "description": "Mapping type identifier"
      }
    },
    "required": [
      "PCID",
      "mappingsTypeId"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_row\_data

Get data (rows)

**Parameters:**

| Parameter              | Type    | Required | Default | Description                                                 |
| ---------------------- | ------- | -------- | ------- | ----------------------------------------------------------- |
| `entryTypeId`          | string  | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName) |
| `query`                | string  | No       | —       | Filter query using DealCloud filter syntax                  |
| `fields`               | string  | No       | —       | Subset of fields to return (comma-separated field names)    |
| `limit`                | integer | No       | —       | Maximum records to return (default 1000)                    |
| `skip`                 | integer | No       | —       | Records to skip for pagination (default 0)                  |
| `resolveReferenceUrls` | boolean | No       | —       | When true, returns URL for reference fields                 |
| `wrapIntoArrays`       | boolean | No       | —       | When true, improves consistency for multi-value fields      |
| `dateTimeBehavior`     | integer | No       | —       | 0 = UTC (default), 1 = localized timezone                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "query": {
        "type": "string",
        "description": "Filter query using DealCloud filter syntax"
      },
      "fields": {
        "type": "string",
        "description": "Subset of fields to return (comma-separated field names)"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum records to return (default 1000)"
      },
      "skip": {
        "type": "integer",
        "description": "Records to skip for pagination (default 0)"
      },
      "resolveReferenceUrls": {
        "type": "boolean",
        "description": "When true, returns URL for reference fields"
      },
      "wrapIntoArrays": {
        "type": "boolean",
        "description": "When true, improves consistency for multi-value fields"
      },
      "dateTimeBehavior": {
        "type": "integer",
        "description": "0 = UTC (default), 1 = localized timezone",
        "enum": [
          0,
          1
        ]
      }
    },
    "required": [
      "PCID",
      "entryTypeId"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_user\_activity

Get user activity

**Parameters:**

| Parameter        | Type       | Required | Default | Description                              |
| ---------------- | ---------- | -------- | ------- | ---------------------------------------- |
| `pageNumber`     | integer    | No       | —       | Page number for pagination               |
| `pageSize`       | integer    | No       | —       | Page size (default 10)                   |
| `activity`       | integer    | No       | —       | Activity type filter                     |
| `dateFrom`       | string     | No       | —       | Start date filter (default: 90 days ago) |
| `dateTo`         | string     | No       | —       | End date filter (default: current date)  |
| `exportDataType` | integer    | No       | —       | Export data type filter                  |
| `source`         | integer    | No       | —       | Source type filter                       |
| `userIDs`        | integer\[] | No       | —       | Filter by specific user IDs              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pageNumber": {
        "type": "integer",
        "description": "Page number for pagination"
      },
      "pageSize": {
        "type": "integer",
        "description": "Page size (default 10)"
      },
      "activity": {
        "type": "integer",
        "description": "Activity type filter"
      },
      "dateFrom": {
        "type": "string",
        "description": "Start date filter (default: 90 days ago)"
      },
      "dateTo": {
        "type": "string",
        "description": "End date filter (default: current date)"
      },
      "exportDataType": {
        "type": "integer",
        "description": "Export data type filter"
      },
      "source": {
        "type": "integer",
        "description": "Source type filter"
      },
      "userIDs": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Filter by specific user IDs"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_user\_group\_by\_id

Get user group by ID

**Parameters:**

| Parameter | Type    | Required | Default | Description          |
| --------- | ------- | -------- | ------- | -------------------- |
| `groupId` | integer | Yes      | —       | ID of the user group |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "groupId": {
        "type": "integer",
        "description": "ID of the user group"
      }
    },
    "required": [
      "PCID",
      "groupId"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_users\_by\_ids

Get users by IDs

**Parameters:**

| Parameter | Type       | Required | Default | Description                   |
| --------- | ---------- | -------- | ------- | ----------------------------- |
| `body`    | integer\[] | Yes      | —       | Array of user IDs to retrieve |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Array of user IDs to retrieve"
      }
    },
    "required": [
      "PCID",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_get\_view\_data

Get data using view

**Parameters:**

| Parameter        | Type      | Required | Default | Description                                            |
| ---------------- | --------- | -------- | ------- | ------------------------------------------------------ |
| `viewId`         | integer   | Yes      | —       | View ID                                                |
| `limit`          | integer   | No       | —       | Maximum rows to return                                 |
| `skip`           | integer   | No       | —       | Pagination offset                                      |
| `wrapIntoArrays` | boolean   | No       | —       | When true, improves consistency for multi-value fields |
| `body`           | object\[] | No       | —       | Optional filter overrides for view parameters          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "viewId": {
        "type": "integer",
        "description": "View ID"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum rows to return"
      },
      "skip": {
        "type": "integer",
        "description": "Pagination offset"
      },
      "wrapIntoArrays": {
        "type": "boolean",
        "description": "When true, improves consistency for multi-value fields"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "column": {
              "type": "string",
              "description": "Column name to filter"
            },
            "value": {
              "type": "string",
              "description": "Filter value"
            }
          }
        },
        "description": "Optional filter overrides for view parameters"
      }
    },
    "required": [
      "PCID",
      "viewId"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_all\_fields

List all fields

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_currencies

List currencies

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_entries

List all entries

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                                         |
| ------------- | ------ | -------- | ------- | ----------------------------------------------------------------------------------- |
| `entryTypeId` | string | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName, e.g. 'company' or 2011) |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName, e.g. 'company' or 2011)"
      }
    },
    "required": [
      "PCID",
      "entryTypeId"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_entry\_types

List all entry types

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_field\_types

List field types

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_fields\_by\_entry\_type

List fields by entry type

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                 |
| ------------- | ------ | -------- | ------- | ----------------------------------------------------------- |
| `entryTypeId` | string | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName) |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      }
    },
    "required": [
      "PCID",
      "entryTypeId"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_filter\_operations

List filter operations

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_schema\_users

List site users (schema)

**Parameters:**

| Parameter    | Type    | Required | Default | Description                          |
| ------------ | ------- | -------- | ------- | ------------------------------------ |
| `activeOnly` | boolean | No       | —       | When true, returns only active users |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "activeOnly": {
        "type": "boolean",
        "description": "When true, returns only active users"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_user\_groups

List user groups

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `pageNumber` | integer | No       | —       | Starting page number                |
| `pageSize`   | integer | No       | —       | Maximum entries per page (max 1000) |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "pageNumber": {
        "type": "integer",
        "description": "Starting page number"
      },
      "pageSize": {
        "type": "integer",
        "description": "Maximum entries per page (max 1000)"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_users

List users

**Parameters:**

| Parameter       | Type    | Required | Default | Description                                                |
| --------------- | ------- | -------- | ------- | ---------------------------------------------------------- |
| `modifiedSince` | string  | No       | —       | Filter by users modified since this date (ISO 8601 format) |
| `email`         | string  | No       | —       | Filter by user email address                               |
| `userGroupID`   | integer | No       | —       | Filter by user group ID                                    |
| `pageNumber`    | integer | No       | —       | Page number for pagination                                 |
| `pageSize`      | integer | No       | —       | Page size (default 10, max 1000)                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "modifiedSince": {
        "type": "string",
        "description": "Filter by users modified since this date (ISO 8601 format)"
      },
      "email": {
        "type": "string",
        "description": "Filter by user email address"
      },
      "userGroupID": {
        "type": "integer",
        "description": "Filter by user group ID"
      },
      "pageNumber": {
        "type": "integer",
        "description": "Page number for pagination"
      },
      "pageSize": {
        "type": "integer",
        "description": "Page size (default 10, max 1000)"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_list\_views

List views

**Parameters:**

| Parameter   | Type    | Required | Default | Description                             |
| ----------- | ------- | -------- | ------- | --------------------------------------- |
| `query`     | string  | No       | —       | Search string to filter views by name   |
| `isPrivate` | boolean | No       | —       | When true, retrieve only private views  |
| `limit`     | integer | No       | —       | Maximum records per page (default 1000) |
| `skip`      | integer | No       | —       | Pagination offset (default 0)           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "query": {
        "type": "string",
        "description": "Search string to filter views by name"
      },
      "isPrivate": {
        "type": "boolean",
        "description": "When true, retrieve only private views"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum records per page (default 1000)"
      },
      "skip": {
        "type": "integer",
        "description": "Pagination offset (default 0)"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## intapp\_merge\_entries

Merge entries

**Parameters:**

| Parameter              | Type      | Required | Default | Description                                                                                                       |
| ---------------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------- |
| `entryTypeId`          | string    | Yes      | —       | Entry type ID or apiName                                                                                          |
| `overwriteEmptyValues` | boolean   | No       | —       | When true, migrates values from deleted entries when the winning entry has blank fields (only for 2-entry merges) |
| `body`                 | object\[] | Yes      | —       | Request body                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Entry type ID or apiName"
      },
      "overwriteEmptyValues": {
        "type": "boolean",
        "description": "When true, migrates values from deleted entries when the winning entry has blank fields (only for 2-entry merges)"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "entryId": {
              "type": "integer",
              "description": "Target entry that remains after merge"
            },
            "mergeEntries": {
              "type": "array",
              "items": {
                "type": "integer"
              },
              "description": "Entry IDs to merge into the target (will be deleted)"
            }
          },
          "required": [
            "entryId",
            "mergeEntries"
          ]
        },
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "entryTypeId",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_patch\_rows

Patch data (rows)

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                                      |
| ------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------- |
| `entryTypeId` | string    | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName)                      |
| `body`        | object\[] | Yes      | —       | Array of entry objects to patch. Each must include EntryId and fields to modify. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "EntryId": {
              "type": "integer",
              "description": "Entry ID to patch (must exist)"
            }
          }
        },
        "description": "Array of entry objects to patch. Each must include EntryId and fields to modify."
      }
    },
    "required": [
      "PCID",
      "entryTypeId",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_query\_rows

Query data (rows)

**Parameters:**

| Parameter              | Type      | Required | Default | Description                                                                    |
| ---------------------- | --------- | -------- | ------- | ------------------------------------------------------------------------------ |
| `entryTypeId`          | string    | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName)                    |
| `dateTimeBehavior`     | integer   | No       | —       | 0 = UTC (default), 1 = localized timezone                                      |
| `fields`               | string\[] | No       | —       | Subset of field names to return (e.g. \['firstName', 'lastName'])              |
| `limit`                | integer   | No       | —       | Maximum records to return. Defaults to 1000.                                   |
| `query`                | string    | No       | —       | Filter query string using DealCloud filter syntax (e.g. '\{entryid: 2553146}') |
| `resolveReferenceUrls` | boolean   | No       | —       | When true, returns URLs for reference field entries                            |
| `skip`                 | integer   | No       | —       | Number of records to skip for pagination. Defaults to 0.                       |
| `wrapIntoArrays`       | boolean   | No       | —       | When true, improves consistency for multi-value fields                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "dateTimeBehavior": {
        "type": "integer",
        "description": "0 = UTC (default), 1 = localized timezone",
        "enum": [
          0,
          1
        ]
      },
      "fields": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Subset of field names to return (e.g. ['firstName', 'lastName'])"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum records to return. Defaults to 1000."
      },
      "query": {
        "type": "string",
        "description": "Filter query string using DealCloud filter syntax (e.g. '{entryid: 2553146}')"
      },
      "resolveReferenceUrls": {
        "type": "boolean",
        "description": "When true, returns URLs for reference field entries"
      },
      "skip": {
        "type": "integer",
        "description": "Number of records to skip for pagination. Defaults to 0."
      },
      "wrapIntoArrays": {
        "type": "boolean",
        "description": "When true, improves consistency for multi-value fields"
      }
    },
    "required": [
      "PCID",
      "entryTypeId"
    ]
  }
  ```
</Expandable>

***

## intapp\_update\_rows

Update data (rows, upsert)

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                                                  |
| ------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------- |
| `entryTypeId` | string    | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName)                                  |
| `body`        | object\[] | Yes      | —       | Array of entry objects to update. Each must include EntryId (positive) and fields to modify. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "body": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "EntryId": {
              "type": "integer",
              "description": "Entry ID to update (positive integer)"
            }
          }
        },
        "description": "Array of entry objects to update. Each must include EntryId (positive) and fields to modify."
      }
    },
    "required": [
      "PCID",
      "entryTypeId",
      "body"
    ]
  }
  ```
</Expandable>

***

## intapp\_update\_user

Update user

**Parameters:**

| Parameter      | Type       | Required | Default | Description           |
| -------------- | ---------- | -------- | ------- | --------------------- |
| `email`        | string     | No       | —       | User's email address  |
| `federationId` | string     | No       | —       | Federation identifier |
| `firstName`    | string     | No       | —       | User's first name     |
| `groups`       | integer\[] | No       | —       | Group IDs to assign   |
| `id`           | integer    | Yes      | —       | User ID to update     |
| `lastName`     | string     | No       | —       | User's last name      |
| `password`     | string     | No       | —       | User's password       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "email": {
        "type": "string",
        "description": "User's email address"
      },
      "federationId": {
        "type": "string",
        "description": "Federation identifier"
      },
      "firstName": {
        "type": "string",
        "description": "User's first name"
      },
      "groups": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "Group IDs to assign"
      },
      "id": {
        "type": "integer",
        "description": "User ID to update"
      },
      "lastName": {
        "type": "string",
        "description": "User's last name"
      },
      "password": {
        "type": "string",
        "description": "User's password"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## intapp\_upsert\_entry\_data

Update or upsert entry data (cells)

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                 |
| --------------- | --------- | -------- | ------- | ----------------------------------------------------------- |
| `entryTypeId`   | string    | Yes      | —       | Unique identifier of the entry type (numeric ID or apiName) |
| `storeRequests` | object\[] | No       | —       | Array of cell store requests                                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "entryTypeId": {
        "type": "string",
        "description": "Unique identifier of the entry type (numeric ID or apiName)"
      },
      "storeRequests": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "entryId": {
              "type": "integer",
              "description": "Entry ID (positive for existing entries)"
            },
            "fieldId": {
              "type": "integer",
              "description": "Field ID"
            },
            "value": {
              "description": "Value to store"
            },
            "ignoreNearDups": {
              "type": "boolean",
              "description": "Ignore near-duplicate warnings"
            }
          },
          "required": [
            "entryId",
            "fieldId"
          ]
        },
        "description": "Array of cell store requests"
      }
    },
    "required": [
      "PCID",
      "entryTypeId"
    ]
  }
  ```
</Expandable>
